use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ILatexFragment;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "latex_fragment")]
pub(crate) struct RenderLatexFragment {
    value: String,
}

render!(
    RenderLatexFragment,
    ILatexFragment,
    original,
    _config,
    _output_directory,
    _output_file,
    {
        Ok(RenderLatexFragment {
            value: original.value.clone(),
        })
    }
);
