use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ISrcBlock;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "src_block")]
pub(crate) struct RenderSrcBlock {
    lines: Vec<String>,
}

render!(
    RenderSrcBlock,
    ISrcBlock,
    original,
    config,
    output_directory,
    output_file,
    {
        Ok(RenderSrcBlock {
            lines: original.lines.clone(),
        })
    }
);
